#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-214RbesEl353uf2FvcP2rv-dns-internal
key:                  dns-4.1.0-214RbesEl353uf2FvcP2rv-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  df943aba1e17abaa2af1b580b639d8ae
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-214RbesEl353uf2FvcP2rv-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-8Un4t06UwVDKWC5OsCvAqA
    attoparsec-0.14.4-9IH2L6miCIy2xrqYTi2NtA
    auto-update-0.1.6-LCF08zis4YP8ByJgN5L00s base-4.15.1.0
    base16-bytestring-1.0.2.0-FuKpgH3hiHmGF8OBxDTrdW
    base64-bytestring-1.2.1.0-4eiDBc5nMqA1X3Go5ETdH3
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-ATVl7QapHZS9RRZ445MyBy
    hourglass-0.2.12-9ypcNl2QfVj18ua1A74nvC
    iproute-1.7.12-3ZGWzjSnVdr1ln2PHEVbMw mtl-2.2.2
    network-3.1.2.7-BgmWCPLmmVsKjis2BFXpFm
    psqueues-0.2.7.3-88jNuTuMJnQBYGZPqwNxp2

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-3c41dh0K4EoDzU20F98F8k
key:                  dns-4.1.0-3c41dh0K4EoDzU20F98F8k
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  b3a04aeeb8acebfd25ae950a3268cddd
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-3c41dh0K4EoDzU20F98F8k
depends:
    array-0.5.4.0 async-2.2.4-8Un4t06UwVDKWC5OsCvAqA
    attoparsec-0.14.4-9IH2L6miCIy2xrqYTi2NtA
    auto-update-0.1.6-LCF08zis4YP8ByJgN5L00s base-4.15.1.0
    base16-bytestring-1.0.2.0-FuKpgH3hiHmGF8OBxDTrdW
    base64-bytestring-1.2.1.0-4eiDBc5nMqA1X3Go5ETdH3
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-ATVl7QapHZS9RRZ445MyBy
    dns-4.1.0-214RbesEl353uf2FvcP2rv-dns-internal
    hourglass-0.2.12-9ypcNl2QfVj18ua1A74nvC
    iproute-1.7.12-3ZGWzjSnVdr1ln2PHEVbMw mtl-2.2.2
    network-3.1.2.7-BgmWCPLmmVsKjis2BFXpFm
    psqueues-0.2.7.3-88jNuTuMJnQBYGZPqwNxp2

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

